org.apache.commons.jexl.parser

## Class ASTBlock

- java.lang.Object
- - org.apache.commons.jexl.parser.SimpleNode
  - - org.apache.commons.jexl.parser.ASTBlock

All Implemented Interfaces:
  Node

    public class ASTBlock
    extends SimpleNode

{ code }, a block of statements enclosed in curly braces.

Author:
  Dion Gillard

### Field Summary

### Fields inherited from class org.apache.commons.jexl.parser.SimpleNode

`children, id, parent, parser`

### Constructor Summary

Constructors
Constructor and Description
`ASTBlock(int id)` Create the node given an id.
`ASTBlock(org.apache.commons.jexl.parser.Parser p, int id)` Create a node with the given parser and id.

### Method Summary

Methods
`java.lang.Object` `jjtAccept(org.apache.commons.jexl.parser.ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.Object` `value(JexlContext context)` Gets the value of this node.

### Methods inherited from class org.apache.commons.jexl.parser.SimpleNode

`childrenAccept, dump, execute, getUberspect, interpret, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setValue, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ASTBlock

    public ASTBlock(int id)

Create the node given an id.

Parameters:
  `id` - node id.

#### ASTBlock

    public ASTBlock(org.apache.commons.jexl.parser.Parser p,
            int id)

Create a node with the given parser and id.

Parameters:
  `p` - a parser.
  `id` - node id.

### Method Detail

#### jjtAccept

    public java.lang.Object jjtAccept(org.apache.commons.jexl.parser.ParserVisitor visitor,
                             java.lang.Object data)

Accept the visitor.

Specified by:
  `jjtAccept` in interface `Node`
Overrides:
  `jjtAccept` in class `SimpleNode`
Parameters:
  `visitor` - a `ParserVisitor`.
  `data` - data to be passed along to the visitor.
Returns:
  the value from visiting.
See Also:
  `ParserVisitor.visit(org.apache.commons.jexl.parser.SimpleNode, java.lang.Object)`

#### value

    public java.lang.Object value(JexlContext context)
                           throws java.lang.Exception

Description copied from class: `SimpleNode`
Gets the value of this node.

Overrides:
  `value` in class `SimpleNode`
Parameters:
  `context` - the `JexlContext` to execute against.
Returns:
  the value of the block. Execute all statements inside and return the value of the last.
Throws:
  `java.lang.Exception` - on any error.